#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 28. Icons

- Prev

  adwaita-icon-theme-41.0

- Next

  gnome-icon-theme-3.12.0

- Up
- Home

# breeze-icons-5.91.0

## Introduction to Breeze Icons

The Breeze Icons package contains the default icons for KDE Plasma 5 applications, but it can be used for other window environments.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/frameworks/5.91/breeze-icons-5.91.0.tar.xz

- Download MD5 sum: 864c1dde4188c17b02dac7fb71dd8695

- Download size: 2.0 MB

- Estimated disk space required: 259 MB

- Estimated build time: 0.2 SBU

### Breeze Icons Dependencies

#### Required

extra-cmake-modules-5.91.0 and Qt-5.15.2

#### Optional

KDE Frameworks-5.91.0, libxml2-2.9.13, and lxml-4.7.1

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/breeze-icons

## Installation of Breeze Icons

Install Breeze Icons by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr \
          -DBUILD_TESTING=OFF         \
          -Wno-dev ..

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`-DBUILD_TESTING=OFF`: This parameter disables building the testing framework, which requires some modules from KDE Frameworks-5.91.0.

## Contents

Installed Programs: None
Installed Library: None
Installed Directory: /usr/share/icons/breeze{,-dark}

Last updated on

- Prev

  adwaita-icon-theme-41.0

- Next

  gnome-icon-theme-3.12.0

- Up
- Home